GNU bug report logs - #59464
[doc] More foolproof command in https://guix.gnu.org/cookbook/en/html_node/Reproducible-profiles.html

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Luca Cirrottola <luca.cirrottola@HIDDEN>; merged with #59463; dated Tue, 22 Nov 2022 01:29:04 UTC; Maintainer for guix is bug-guix@HIDDEN.
Merged 59463 59464. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Nov 2022 01:28:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 21 20:28:46 2022
Received: from localhost ([127.0.0.1]:49213 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oxI5e-0006yl-6e
	for submit <at> debbugs.gnu.org; Mon, 21 Nov 2022 20:28:46 -0500
Received: from lists.gnu.org ([209.51.188.17]:51458)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luca.cirrottola@HIDDEN>) id 1oxB2Q-0007M1-FY
 for submit <at> debbugs.gnu.org; Mon, 21 Nov 2022 12:57:01 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <luca.cirrottola@HIDDEN>)
 id 1oxB2Q-0007pm-9K
 for bug-guix@HIDDEN; Mon, 21 Nov 2022 12:56:58 -0500
Received: from mail2-relais-roc.national.inria.fr ([192.134.164.83])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <luca.cirrottola@HIDDEN>)
 id 1oxB2O-00020e-0c
 for bug-guix@HIDDEN; Mon, 21 Nov 2022 12:56:58 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=inria.fr; s=dc;
 h=date:from:to:message-id:in-reply-to:references:subject:
 mime-version; bh=cbGinnM1cE/6EOlYlxRot1I0hfPfgvZHvSFXSgWDPDs=;
 b=n/JLT8pZKhJLYkokoqDv8rTUjru7qPruytHyJOAm3DODuvfEGxkNa57h
 63f8K/MmSO3W6N+Rzm2MQdntRAMXfkJMPfcW4AaI4txoHch6xlnEgvI6b
 Xb7ujp6uLvDL5156HjcmlXtOF/cS0ath7C4C1EqxsGilSrllRJD5rAsA3 k=;
Authentication-Results: mail2-relais-roc.national.inria.fr;
 dkim=none (message not signed) header.i=none;
 spf=SoftFail smtp.mailfrom=luca.cirrottola@HIDDEN;
 spf=None smtp.helo=postmaster@HIDDEN
Received-SPF: SoftFail (mail2-relais-roc.national.inria.fr:
 domain of luca.cirrottola@HIDDEN is inclined to not
 designate 128.93.142.28 as permitted sender)
 identity=mailfrom; client-ip=128.93.142.28;
 receiver=mail2-relais-roc.national.inria.fr;
 envelope-from="luca.cirrottola@HIDDEN";
 x-sender="luca.cirrottola@HIDDEN"; x-conformance=spf_only;
 x-record-type="v=spf1"; x-record-text="v=spf1
 ip4:192.134.164.0/24 mx ~all"
Received-SPF: None (mail2-relais-roc.national.inria.fr: no sender
 authenticity information available from domain of
 postmaster@HIDDEN) identity=helo;
 client-ip=128.93.142.28;
 receiver=mail2-relais-roc.national.inria.fr;
 envelope-from="luca.cirrottola@HIDDEN";
 x-sender="postmaster@HIDDEN"; x-conformance=spf_only
X-IronPort-AV: E=Sophos;i="5.96,182,1665439200"; d="scan'208,217";a="79345132"
X-MGA-submission: =?us-ascii?q?MDEbLYk3o4Bh5M6F2FE9FaLXtpgs0nn/3dt9gl?=
 =?us-ascii?q?Prn0U5u4VaVcNZ7OSlEc+hqDv6+jnPUEhI4y69dQ8jNn7ksD5+YTVhF/?=
 =?us-ascii?q?i9YxTDhzijdlIKmJ1LJTmMZQb7ikN0jR92tkf0OJRFCWrJCU4Uw62ovF?=
 =?us-ascii?q?LbkWdEQtPQgB9N6JxEKq+CeA=3D=3D?=
Received: from zcs-store1.inria.fr ([128.93.142.28])
 by mail2-relais-roc.national.inria.fr with ESMTP; 21 Nov 2022 18:56:52 +0100
Date: Mon, 21 Nov 2022 18:56:52 +0100 (CET)
From: Luca Cirrottola <luca.cirrottola@HIDDEN>
To: bug-guix <bug-guix@HIDDEN>
Message-ID: <1334964432.33471457.1669053412587.JavaMail.zimbra@HIDDEN>
In-Reply-To: <604440286.33445137.1669052094687.JavaMail.zimbra@HIDDEN>
References: <604440286.33445137.1669052094687.JavaMail.zimbra@HIDDEN>
Subject: Re: [doc] More foolproof command in
 https://guix.gnu.org/cookbook/en/html_node/Reproducible-profiles.html
MIME-Version: 1.0
Content-Type: multipart/alternative; 
 boundary="=_bc0cd06b-5700-486a-8904-088396664a5a"
X-Originating-IP: [194.199.1.52]
X-Mailer: Zimbra 8.8.15_GA_4464 (ZimbraWebClient - FF106
 (Linux)/8.8.15_GA_4468)
Thread-Topic: More foolproof command in
 https://guix.gnu.org/cookbook/en/html_node/Reproducible-profiles.html
Thread-Index: 1v5OnSR2GzJBdZCNhleQfW5P0nzD5pJHkwsX
Received-SPF: pass client-ip=192.134.164.83;
 envelope-from=luca.cirrottola@HIDDEN;
 helo=mail2-relais-roc.national.inria.fr
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, HTML_MESSAGE=0.001,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 21 Nov 2022 20:28:40 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--=_bc0cd06b-5700-486a-8904-088396664a5a
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

More important (real error): the option `--profile` seems to need a `=3D` a=
fter it, so the fifth line (`guix pull --channels=3Dchannel-specs.scm --pro=
file "$GUIX_EXTRA/my-project/guix"`) gives problems without.=20
It works normally with the correction: `guix pull --channels=3Dchannel-spec=
s.scm --profile=3D"$GUIX_EXTRA/my-project/guix"`=20

Cheers!=20
Luca=20

> De: "Luca Cirrottola" <luca.cirrottola@HIDDEN>
> =C0: "bug-guix" <bug-guix@HIDDEN>
> Envoy=E9: Lundi 21 Novembre 2022 18:34:54
> Objet: [doc] More foolproof command in
> https://guix.gnu.org/cookbook/en/html_node/Reproducible-profiles.html

> Hello guixers,
> For an even more foolproof experience when trying [
> https://guix.gnu.org/cookbook/en/html_node/Reproducible-profiles.html |
> https://guix.gnu.org/cookbook/en/html_node/Reproducible-profiles.html ] (=
which
> already goes very smoothly), the command
> `mkdir "$GUIX_EXTRA"/my-project` (fourth line) could add the option `-p` =
(i.e.
> `mkdir -p "$GUIX_EXTRA"/my-project`).

> Keep hacking!

> Luca

> --
> Luca CIRROTTOLA
> Research software engineer @ INRIA center of the university of Bordeaux
> Personal webpage: [ https://lcirrottola.github.io/ |
> https://lcirrottola.github.io/ ]
> Tel: +33 5 2 4 57 41 21
> 200 Avenue de la Vieille Tour
> 33405 Talence cedex
> France

--=20
Luca CIRROTTOLA=20
Research software engineer @ INRIA center of the university of Bordeaux=20
Personal webpage: [ https://lcirrottola.github.io/ | https://lcirrottola.gi=
thub.io/ ]=20
Tel: +33 5 2 4 57 41 21=20
200 Avenue de la Vieille Tour=20
33405 Talence cedex=20
France=20

--=_bc0cd06b-5700-486a-8904-088396664a5a
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

<html><body><div style=3D"font-family: arial, helvetica, sans-serif; font-s=
ize: 12pt; color: #000000"><div>More important (real error): the option `--=
profile` seems to need a `=3D` after it, so the fifth line (`guix pull --ch=
annels=3Dchannel-specs.scm --profile "$GUIX_EXTRA/my-project/guix"`) gives =
problems without.<br>It works normally with the correction: `guix pull --ch=
annels=3Dchannel-specs.scm --profile=3D"$GUIX_EXTRA/my-project/guix"`<br></=
div><div><br></div><div>Cheers!<br>Luca<br></div><div><br data-mce-bogus=3D=
"1"></div><hr id=3D"zwchr" data-marker=3D"__DIVIDER__"><div data-marker=3D"=
__HEADERS__"><blockquote style=3D"border-left:2px solid #1010FF;margin-left=
:5px;padding-left:5px;color:#000;font-weight:normal;font-style:normal;text-=
decoration:none;font-family:Helvetica,Arial,sans-serif;font-size:12pt;"><b>=
De: </b>"Luca Cirrottola" &lt;luca.cirrottola@HIDDEN&gt;<br><b>=C0: </b>"=
bug-guix" &lt;bug-guix@HIDDEN&gt;<br><b>Envoy=E9: </b>Lundi 21 Novembre 20=
22 18:34:54<br><b>Objet: </b>[doc] More foolproof command in https://guix.g=
nu.org/cookbook/en/html_node/Reproducible-profiles.html<br></blockquote></d=
iv><div data-marker=3D"__QUOTED_TEXT__"><blockquote style=3D"border-left:2p=
x solid #1010FF;margin-left:5px;padding-left:5px;color:#000;font-weight:nor=
mal;font-style:normal;text-decoration:none;font-family:Helvetica,Arial,sans=
-serif;font-size:12pt;"><div style=3D"font-family:'arial' , 'helvetica' , s=
ans-serif;font-size:12pt;color:#000000"><div>Hello guixers,<br>For an even =
more foolproof experience when trying <a href=3D"https://guix.gnu.org/cookb=
ook/en/html_node/Reproducible-profiles.html" target=3D"_blank" rel=3D"nofol=
low noopener noreferrer">https://guix.gnu.org/cookbook/en/html_node/Reprodu=
cible-profiles.html</a> (which already goes very smoothly), the command<br>=
`mkdir "$GUIX_EXTRA"/my-project` (fourth line) could add the option `-p` (i=
.e. `mkdir -p "$GUIX_EXTRA"/my-project`).<br><br>Keep hacking!<br><br>Luca<=
br></div><br><div>-- <br></div><div><div><span style=3D"font-size:10pt">Luc=
a CIRROTTOLA</span><br><span style=3D"font-size:10pt">Research software eng=
ineer @<strong>INRIA center of the university of Bordeaux</strong></span></=
div><div><span style=3D"font-size:10pt">Personal webpage: <a href=3D"https:=
//lcirrottola.github.io/" rel=3D"noopener nofollow noopener noreferrer nofo=
llow noopener noreferrer nofollow noopener noreferrer nofollow noopener nor=
eferrer nofollow noopener noreferrer nofollow noopener noreferrer nofollow =
noopener noreferrer nofollow noopener noreferrer" target=3D"_blank">https:/=
/lcirrottola.github.io/</a></span><br><span style=3D"font-size:10pt"><span =
style=3D"font-size:10pt">Tel: <span class=3D"Object" id=3D"OBJ_PREFIX_DWT22=
02_com_zimbra_phone">+33 5 2<span style=3D"font-size:10pt">4<span style=3D"=
font-family:'arial' , 'helvetica' , sans-serif"> 57 </span></span></span></=
span></span><span style=3D"font-size:10pt;font-family:'arial' , 'helvetica'=
 , sans-serif"><span class=3D"Object" id=3D"OBJ_PREFIX_DWT2202_com_zimbra_p=
hone"><span style=3D"color:rgb( 29 , 28 , 29 );font-style:normal;font-weigh=
t:400;letter-spacing:normal;text-align:left;text-indent:0px;text-transform:=
none;white-space:normal;word-spacing:0px;background-color:rgb( 248 , 248 , =
248 );display:inline !important;float:none">41 21</span></span></span></div=
><div><span style=3D"font-size:10pt">200 Avenue de la Vieille Tour </span><=
br><span style=3D"font-size:10pt">33405 Talence cedex </span><br><span styl=
e=3D"font-size:10pt">France</span></div></div></div><br></blockquote></div>=
<div><br></div><div data-marker=3D"__SIG_POST__">-- <br></div><div><div><sp=
an style=3D"font-size:10pt">Luca CIRROTTOLA</span><br><span style=3D"font-s=
ize:10pt">Research software engineer @<strong>INRIA center of the universit=
y of Bordeaux</strong></span></div><div><span style=3D"font-size:10pt">Pers=
onal webpage: <a href=3D"https://lcirrottola.github.io/" rel=3D"noopener no=
follow noopener noreferrer nofollow noopener noreferrer nofollow noopener n=
oreferrer nofollow noopener noreferrer nofollow noopener noreferrer nofollo=
w noopener noreferrer nofollow noopener noreferrer" target=3D"_blank">https=
://lcirrottola.github.io/</a></span><br><span style=3D"font-size:10pt"><spa=
n style=3D"font-size:10pt">Tel: <span class=3D"Object" id=3D"OBJ_PREFIX_DWT=
2202_com_zimbra_phone">+33 5 2<span style=3D"font-size:10pt">4<span style=
=3D"font-family:'arial' , 'helvetica' , sans-serif"> 57 </span></span></spa=
n></span></span><span style=3D"font-size:10pt;font-family:'arial' , 'helvet=
ica' , sans-serif"><span class=3D"Object" id=3D"OBJ_PREFIX_DWT2202_com_zimb=
ra_phone"><span style=3D"color:rgb( 29 , 28 , 29 );font-style:normal;font-w=
eight:400;letter-spacing:normal;text-align:left;text-indent:0px;text-transf=
orm:none;white-space:normal;word-spacing:0px;background-color:rgb( 248 , 24=
8 , 248 );display:inline !important;float:none">41 21</span></span></span><=
/div><div><span style=3D"font-size:10pt">200 Avenue de la Vieille Tour </sp=
an><br><span style=3D"font-size:10pt">33405 Talence cedex </span><br><span =
style=3D"font-size:10pt">France</span></div></div></div></body></html>
--=_bc0cd06b-5700-486a-8904-088396664a5a--




Acknowledgement sent to Luca Cirrottola <luca.cirrottola@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#59464; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 22 Nov 2022 08:30:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.